FileTools
Date: 2014-11-12

org.gcube.contentmanagement.lexicalmatcher.utils

## Class FileTools

- java.lang.Object
- - org.gcube.contentmanagement.lexicalmatcher.utils.FileTools

-     public class FileTools
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTools()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkInput(java.lang.String filename)`
    `static boolean` | `checkOutput(java.lang.String filename, boolean overwrite)`
    `static java.lang.String` | `loadString(java.lang.String filename, java.lang.String encoding)`
    `static java.lang.String` | `readXMLDoc(java.lang.String xmlFilePath)`
    `static void` | `saveString(java.lang.String filename, java.lang.String s, boolean overwrite, java.lang.String encoding)`
    `static void` | `saveString2File(java.lang.String filename, java.lang.String string2save)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTools

          public FileTools()

  - ### Method Detail

    - #### readXMLDoc

          public static java.lang.String readXMLDoc(java.lang.String xmlFilePath)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### saveString2File

          public static void saveString2File(java.lang.String filename,
                             java.lang.String string2save)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkInput

          public static boolean checkInput(java.lang.String filename)

    - #### checkOutput

          public static boolean checkOutput(java.lang.String filename,
                            boolean overwrite)

    - #### loadString

          public static java.lang.String loadString(java.lang.String filename,
                                    java.lang.String encoding)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### saveString

          public static void saveString(java.lang.String filename,
                        java.lang.String s,
                        boolean overwrite,
                        java.lang.String encoding)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`